#!/usr/bin/env fish

function open_location
    set options "󰈙 Documents" "󰝚 Music" "󰋩 Pictures" "󰕧 Videos" "󰇚 Downloads" "25_WiSe"
    set input (menu $options)
    
    switch $input
	case $options[1]
	    alacritty --working-directory (xdg-user-dir)/Documents/
	case $options[2]
	    alacritty --working-directory (xdg-user-dir)/Music/
	case $options[3]
	    alacritty --working-directory (xdg-user-dir)/Pictures/
	case $options[4]
	    alacritty --working-directory (xdg-user-dir)/Videos/
	case $options[5]
	    alacritty --working-directory (xdg-user-dir)/Downloads/
	case $options[6]
	    alacritty --working-directory /home/never/Documents/InNa/25_WiSe/
    end
end

set options "󱂵 Open Location" "󰐓 Clear Playlist" "󰌾 Lock"
set input (menu $options)

switch $input
    case $options[1]
	open_location

    case $options[2]
	mpc clear

    case $options[3]
	exec swaylock
end
